Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032032
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] I. Performancemajoralways2016-01-27 22:572016-06-17 19:38
ReporterfmolinaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision083683ac0038
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product Version3.0PR15Q2.1SCM revision 
Review Assigned Toaferraz
Web browserGoogle Chrome
ModulesOrders Awaiting Delivery
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032032: Performance problem in Orders Awaiting Delivery Report

DescriptionOrders Awaiting Delivery Report query takes a very large amount of time even when must return few records. The query is built in class ReportOrderNotShippedData.
Steps To ReproduceI can provide credentials to specific environment where problem is reproducible
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0034071 closedTriage Finance Performance problems on the Orders Awaiting Delivery Report 

-  Notes
(0086993)
hgbot (developer)
2016-06-03 15:41

Repository: erp/devel/pi
Changeset: 083683ac003829294a2b3aa6d6128e31c3b331d0
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed May 25 00:58:03 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/083683ac003829294a2b3aa6d6128e31c3b331d0 [^]

Fixes issue 32032: ReportOrderNotShipped report query improved

-Replace IN clause for locator using EXISTS
-Remove unwanted C_Order from subquery which compares quantities
-Rearrange the query
-Get stock from m_storage_detail using subquery instead of left join

---
M modules/org.openbravo.reports.ordersawaitingdelivery/src/org/openbravo/reports/ordersawaitingdelivery/erpCommon/ad_reports/ReportOrderNotShipped_data.xsql
---
(0086994)
hgbot (developer)
2016-06-03 15:41

Repository: erp/devel/pi
Changeset: a68ba952787ab038c904bfe8af2814fd2a5a08bf
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Jun 03 14:56:32 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a68ba952787ab038c904bfe8af2814fd2a5a08bf [^]

Related to issue 32032: Code review improvements

---
M modules/org.openbravo.reports.ordersawaitingdelivery/src/org/openbravo/reports/ordersawaitingdelivery/erpCommon/ad_reports/ReportOrderNotShipped_data.xsql
---
(0086996)
aferraz (developer)
2016-06-03 16:00

Code review + Testing OK
(0087593)
hudsonbot (developer)
2016-06-17 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087594)
hudsonbot (developer)
2016-06-17 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-01-27 22:57 fmolina New Issue
2016-01-27 22:57 fmolina Assigned To => platform
2016-01-27 22:57 fmolina Web browser => Google Chrome
2016-01-27 22:57 fmolina Modules => Orders Awaiting Delivery
2016-01-27 22:57 fmolina Triggers an Emergency Pack => No
2016-01-28 07:49 alostale Assigned To platform => Triage Finance
2016-04-28 10:06 egoitz Web browser Google Chrome => Google Chrome
2016-05-09 11:08 aferraz Assigned To Triage Finance => AtulOpenbravo
2016-05-19 07:49 AtulOpenbravo Status new => scheduled
2016-05-19 16:51 rbianchini Issue Monitored: rbianchini
2016-06-03 15:41 hgbot Checkin
2016-06-03 15:41 hgbot Note Added: 0086993
2016-06-03 15:41 hgbot Status scheduled => resolved
2016-06-03 15:41 hgbot Resolution open => fixed
2016-06-03 15:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/083683ac003829294a2b3aa6d6128e31c3b331d0 [^]
2016-06-03 15:41 hgbot Checkin
2016-06-03 15:41 hgbot Note Added: 0086994
2016-06-03 16:00 aferraz Review Assigned To => aferraz
2016-06-03 16:00 aferraz Note Added: 0086996
2016-06-03 16:00 aferraz Status resolved => closed
2016-06-03 16:00 aferraz Fixed in Version => 3.0PR16Q3
2016-06-17 19:38 hudsonbot Checkin
2016-06-17 19:38 hudsonbot Note Added: 0087593
2016-06-17 19:38 hudsonbot Checkin
2016-06-17 19:38 hudsonbot Note Added: 0087594
2016-09-23 12:23 aferraz Relationship added has duplicate 0034071


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker